#
# Conditional build:
%bcond_without	tests		# build without tests

# TODO
# - rake doc
#   (in /home/users/z/rpm/BUILD/ruby-discount-1.2.7) hanna --charset utf8 --fmt html --inline-source --line-numbers --main RDiscount --op doc --title 'RDiscount API Documentation' lib/rdiscount.rb lib/markdown.rb sh: hanna: not found
#   rake aborted!

%define pkgname rdiscount
Summary:	Discount Markdown Processor for Ruby
Name:		ruby-%{pkgname}
Version:	2.1.8
Release:	1
License:	BSD
Source0:	https://github.com/davidfstr/rdiscount/archive/%{version}/%{pkgname}-%{version}.tar.gz
# Source0-md5:	7c8076339ffcbc0be7a76ebd19750fb7
Group:		Development/Languages
URL:		https://github.com/davidfstr/rdiscount
BuildRequires:	rpm-rubyprov
BuildRequires:	rpmbuild(macros) >= 1.665
BuildRequires:	ruby >= 1:1.9
BuildRequires:	ruby-devel
BuildRequires:	ruby-modules
BuildRequires:	setup.rb
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Discount Markdown Processor for Ruby.

%package -n rdiscount
Summary:	Markdown processor
Group:		Applications/Publishing
Requires:	%{name} = %{version}-%{release}

%description -n rdiscount
Markdown processor.

%package rdoc
Summary:	HTML documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie HTML dla %{pkgname}
Group:		Documentation
Requires:	ruby >= 1:1.8.7-4
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description rdoc
HTML documentation for %{pkgname}.

%description rdoc -l pl.UTF-8
Dokumentacja w formacie HTML dla %{pkgname}.

%package ri
Summary:	ri documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie ri dla %{pkgname}
Group:		Documentation
Requires:	ruby
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description ri
ri documentation for %{pkgname}.

%description ri -l pl.UTF-8
Dokumentacji w formacie ri dla %{pkgname}.

%prep
%setup -qn %{pkgname}-%{version}

%build
# make gemspec self-contained
ruby -r rubygems -e 'spec = eval(File.read("%{pkgname}.gemspec"))
	File.open("%{pkgname}-%{version}.gemspec", "w") do |file|
	file.puts spec.to_ruby_for_cache
end'

cp %{_datadir}/setup.rb .

%{__ruby} setup.rb config \
	--rbdir=%{ruby_vendorlibdir} \
	--mandir=%{_mandir}/man1 \
	--sodir=%{ruby_vendorarchdir}

%{__ruby} setup.rb setup

%if %{with tests}
%{__ruby} -r rubygems -Ilib:ext:. \
	-e 'gem "test-unit"; Dir.glob("test/*_test.rb").sort.each {|f| require f}'
%endif

rdoc --ri --op ri lib
rdoc --op rdoc lib
rm -r ri/Object
rm ri/created.rid
rm ri/cache.ri

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{ruby_specdir},%{ruby_ridir},%{ruby_rdocdir}}
%{__ruby} setup.rb install \
    --prefix=$RPM_BUILD_ROOT
cp -p %{pkgname}-%{version}.gemspec $RPM_BUILD_ROOT%{ruby_specdir}

# just does require rdiscount
%{__rm} $RPM_BUILD_ROOT%{ruby_vendorlibdir}/markdown.rb

cp -a ri/* $RPM_BUILD_ROOT%{ruby_ridir}
cp -a rdoc $RPM_BUILD_ROOT%{ruby_rdocdir}/%{name}-%{version}
%{__rm} $RPM_BUILD_ROOT%{_mandir}/man*/*.ronn*
%{__rm} $RPM_BUILD_ROOT%{_mandir}/man*/markdown.7*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING README.markdown
%{ruby_vendorlibdir}/rdiscount.rb
%attr(755,root,root) %{ruby_vendorarchdir}/rdiscount.so
%{ruby_specdir}/%{pkgname}-%{version}.gemspec

%files -n rdiscount
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/rdiscount
%{_mandir}/man1/rdiscount.1*

%files rdoc
%defattr(644,root,root,755)
%{ruby_rdocdir}/%{name}-%{version}

%files ri
%defattr(644,root,root,755)
%{ruby_ridir}/RDiscount
%changelog
* Sat Oct 17 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ruby-rdiscount.git;a=log;h=master

* Sat Oct 17 2015 Elan Ruusamäe <glen@delfi.ee> efa9f70
- run tests (copied from fedora)

* Sat Oct 17 2015 Elan Ruusamäe <glen@delfi.ee> a8e89bc
- up to 2.1.8; package gemspec

* Sat Oct 17 2015 Elan Ruusamäe <glen@delfi.ee> d87af65
- BR rpm-rubyprov

* Fri Oct 16 2015 Elan Ruusamäe <glen@delfi.ee> 2f38e19
- install to vendor dir; noarch doc packages; cleanups

* Tue Feb 08 2011 sparky <sparky@pld-linux.org> 0336db6
- BR: ruby-devel

* Thu Jun 24 2010 pawelz <pawelz@pld-linux.org> a83c7ea
- I'm not sure, but most probably it won't compile/work on ruby 1.8 because of
  ruby1.9.patch, so set BR ruby >= 1:1.9

* Thu Jun 24 2010 pawelz <pawelz@pld-linux.org> 6d59f47
- initial

* Thu Jun 24 2010 pawelz <pawelz@pld-linux.org> 2002bfe
- dropped old changelog

* Thu Jun 24 2010 pawelz <pawelz@pld-linux.org> 2f07012
- initial PLD release. Please review.

